=== modified file 'plugin/myisam/mi_close.cc'
--- plugin/myisam/mi_close.cc	2010-08-11 16:49:34 +0000
+++ plugin/myisam/mi_close.cc	2010-08-11 17:06:22 +0000
@@ -87,13 +87,6 @@
       free((unsigned char*) share->decode_tables);
     }
     share->lock.deinit();
-    {
-      int keys= share->state.header.keys;
-      pthread_rwlock_destroy(&share->mmap_lock);
-      for (int i= 0; i < keys; i++)
-      {
-      }
-    }
     delete info->s->in_use;
     free((unsigned char*) info->s);
   }

=== modified file 'plugin/myisam/mi_dynrec.cc'
--- plugin/myisam/mi_dynrec.cc	2010-02-13 02:23:32 +0000
+++ plugin/myisam/mi_dynrec.cc	2010-08-11 17:06:22 +0000
@@ -142,9 +142,6 @@
 size_t mi_mmap_pread(MI_INFO *info, unsigned char *Buffer,
                     size_t Count, internal::my_off_t offset, myf MyFlags)
 {
-  if (info->s->concurrent_insert)
-    pthread_rwlock_rdlock(&info->s->mmap_lock);
-
   /*
     The following test may fail in the following cases:
     - We failed to remap a memory area (fragmented memory?)
@@ -155,14 +152,10 @@
   if (info->s->mmaped_length >= offset + Count)
   {
     memcpy(Buffer, info->s->file_map + offset, Count);
-    if (info->s->concurrent_insert)
-      pthread_rwlock_unlock(&info->s->mmap_lock);
     return 0;
   }
   else
   {
-    if (info->s->concurrent_insert)
-      pthread_rwlock_unlock(&info->s->mmap_lock);
     return my_pread(info->dfile, Buffer, Count, offset, MyFlags);
   }
 }
@@ -196,8 +189,6 @@
 size_t mi_mmap_pwrite(MI_INFO *info, const unsigned char *Buffer,
                       size_t Count, internal::my_off_t offset, myf MyFlags)
 {
-  if (info->s->concurrent_insert)
-    pthread_rwlock_rdlock(&info->s->mmap_lock);
 
   /*
     The following test may fail in the following cases:
@@ -209,15 +200,11 @@
   if (info->s->mmaped_length >= offset + Count)
   {
     memcpy(info->s->file_map + offset, Buffer, Count);
-    if (info->s->concurrent_insert)
-      pthread_rwlock_unlock(&info->s->mmap_lock);
     return 0;
   }
   else
   {
     info->s->nonmmaped_inserts++;
-    if (info->s->concurrent_insert)
-      pthread_rwlock_unlock(&info->s->mmap_lock);
     return my_pwrite(info->dfile, Buffer, Count, offset, MyFlags);
   }
 

=== modified file 'plugin/myisam/mi_locking.cc'
--- plugin/myisam/mi_locking.cc	2010-08-11 16:49:34 +0000
+++ plugin/myisam/mi_locking.cc	2010-08-11 17:06:22 +0000
@@ -82,12 +82,8 @@
     if ((info->s->mmaped_length != info->s->state.state.data_file_length) &&
         (info->s->nonmmaped_inserts > MAX_NONMAPPED_INSERTS))
     {
-      if (info->s->concurrent_insert)
-        pthread_rwlock_wrlock(&info->s->mmap_lock);
       mi_remap_file(info, info->s->state.state.data_file_length);
       info->s->nonmmaped_inserts= 0;
-      if (info->s->concurrent_insert)
-        pthread_rwlock_unlock(&info->s->mmap_lock);
     }
 	  share->state.process= share->last_process=share->this_process;
 	  share->state.unique=   info->last_unique=  info->this_unique;

=== modified file 'plugin/myisam/mi_open.cc'
--- plugin/myisam/mi_open.cc	2010-08-11 16:49:34 +0000
+++ plugin/myisam/mi_open.cc	2010-08-11 17:06:22 +0000
@@ -247,7 +247,6 @@
            &share->state.key_root,keys*sizeof(uint64_t),
            &share->state.key_del,
            (share->state.header.max_block_size_index*sizeof(uint64_t)),
-           &share->mmap_lock,sizeof(pthread_rwlock_t),
            NULL))
       goto err;
     errpos=4;
@@ -389,7 +388,6 @@
     mi_setup_functions(share);
     share->is_log_table= false;
     thr_lock_init(&share->lock);
-    pthread_rwlock_init(&share->mmap_lock, NULL);
     if (myisam_concurrent_insert)
     {
       share->concurrent_insert=

=== modified file 'plugin/myisam/myisam_priv.h'
--- plugin/myisam/myisam_priv.h	2010-08-11 16:49:34 +0000
+++ plugin/myisam/myisam_priv.h	2010-08-11 17:06:22 +0000
@@ -236,7 +236,6 @@
   drizzled::internal::my_off_t mmaped_length;
   uint32_t     nonmmaped_inserts;           /* counter of writing in non-mmaped
                                            area */
-  pthread_rwlock_t mmap_lock;
 } MYISAM_SHARE;
 
 

